CUTLASS: cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, false > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, false > Struct Template Reference

Specialization for row-major output (OperatorClass Simt)

`#include <default_mma.h>`

## Public Types
using | MmaCore = typename cutlass::gemm::threadblock::DefaultMmaCore< ThreadblockShape, WarpShape, InstructionShape, ElementA, LayoutA, ElementB, LayoutB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, 2, Operator >
using | IteratorA = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape< MmaCore::Shape::kM, MmaCore::Shape::kK >, ElementA, LayoutA, 1, typename MmaCore::IteratorThreadMapA, kAlignmentA >
using | IteratorB = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape< MmaCore::Shape::kK, MmaCore::Shape::kN >, ElementB, LayoutB, 0, typename MmaCore::IteratorThreadMapB, kAlignmentB >
using | ThreadblockMma = cutlass::gemm::threadblock::MmaPipelined< typename MmaCore::Shape, IteratorA, typename MmaCore::SmemIteratorA, IteratorB, typename MmaCore::SmemIteratorB, ElementAccumulator, layout::RowMajor, typename MmaCore::MmaPolicy >

## Member Typedef Documentation

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator >

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, false >::IteratorA = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape<MmaCore::Shape::kM, MmaCore::Shape::kK>, ElementA, LayoutA, 1, typename MmaCore::IteratorThreadMapA, kAlignmentA>

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator >

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, false >::IteratorB = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape<MmaCore::Shape::kK, MmaCore::Shape::kN>, ElementB, LayoutB, 0, typename MmaCore::IteratorThreadMapB, kAlignmentB>

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator >

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, false >::MmaCore = typename cutlass::gemm::threadblock::DefaultMmaCore< ThreadblockShape, WarpShape, InstructionShape, ElementA, LayoutA, ElementB, LayoutB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, 2, Operator>

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator >

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::RowMajor, arch::OpClassTensorOp, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, false >::ThreadblockMma = cutlass::gemm::threadblock::MmaPipelined< typename MmaCore::Shape, IteratorA, typename MmaCore::SmemIteratorA, IteratorB, typename MmaCore::SmemIteratorB, ElementAccumulator, layout::RowMajor, typename MmaCore::MmaPolicy>

The documentation for this struct was generated from the following file:

- default_mma.h